Introduction

Advanced Email Extractor (AEE) is designed to extract e-mail addresses from web-pages on the Internet (using HTTP and HTTPS protocols) and from HTML files on local disks. AEE supports operation through a proxy-server and works very fast, as it is able of loading several pages simultaneously, and requires very few resources. It is possible to launch AEE in fully automatic mode through the command prompt.

AEE has various limiters of scanning range, using which you can extract only the addresses you actually need from web-pages, instead of extracting all the addresses present there. You can not only limit scanning depth and width, you also can cut off unnecessary paths using patterns or just delete them from jobs list during operation. AEE is very flexible and may be used to extract e-mail addresses from "simple sites" as well as from web-forums built on scripts and from servers like ZDNet. Also you can use popular search engines (AltaVista, Excite, Yahoo, InfoSeek and others) for search by keywords.

Advanced Email Extractor is built on Microsoft Internet Explorer kernel and therefore features unmatched compatibility with all web-servers and has knowledge of all subtleties of HTTP and HTPS protocols. But since 2.30 version, you can also choose internal HTML parser in program settings. Our internal parser work bit faster. AEE works under Windows '95, Windows '98, WinMe, Windows NT 4.0 and Windows 2000 / XP with Microsoft Internet Explorer 4.0 or higher installed. It will never go out-of-date - it will become better and better, it's capabilities will expand with every new release of Internet Explorer.

© 2000-2006 Tweak Marketing Inc. All rights reserved.


What's new?

The list of the recent changes in the program is available as a text file through Internet here.

Version 2.81 - released on October 16, 2006

  • Fixed error in JScript engine.
  • Updated search engines list

Version 2.80 - released on September 29, 2006

  • Improved stability.
  • Added extra Brazilian search engines
  • Improved email extracting algorithm

Version 2.79 - released on August 19, 2006

  • Improved stability.
  • All search engines scripts updated
  • Added US search engines
  • Improved email extracting algorithm

Version 2.78 - released on June 12, 2006

  • Improved stability.
  • Improved scan speed.
  • Critical bugfix.

Version 2.77 - released on May 18, 2006

  • Fixes on websites with gzip content.
  • Bug fixed in search engines processing module.
  • New config scheme.
  • x64 OS compatibility was added

Version 2.76 - released on January 15, 2004

  • Fixes in "Folder Scanner" plugin.
  • Search module now works with Microsoft ISA server.

Version 2.73 - released on November 14, 2003

  • New free "Folder Scanner" plugin to search emails on CD-ROMs and hard disks was added to PRO version.
  • New free plugin by name "Project Excluder" was added to PRO version. This plugin is designed to exclude links from already scanned projects in new search.
  • And some other little fixes.

Version 2.72 - released on July 30, 2003

  • Changes in search engines processing module.

Version 2.71 - released on June 19, 2003

  • Improvements in corrupted projects recovery algorithm.
  • Dead search engines are removed and new earch engines are added.
  • Improvements in search engines processing module.

Version 2.70 - released on June 4, 2003

  • Possibility to add new link to project (via right-click menu on jobs list), even when project is completed.
  • Saving job list (URLs list) to CSV as well, as email addresses.
  • Dead search engines are removed and new earch engines are added.
  • Improvements in search engines processing module.
  • Recovery of corrupted projects.

Version 2.67 - released on January 4, 2003

  • Bug fixed in search engines processing module.

Version 2.65 - released on December 6, 2002

  • Initialization of the search through web search engines is in five times faster now.
  • The highest possible number of scanning threads is 250 in this version.
  • Small fixes in the program.
  • List of additional plugins has been included to help.

Version 2.61 - released on October 11, 2002

  • Strong bug (AEE crash at scanning start) has been fixed.
  • Search engines list has been corrected.

Version 2.60 - released on July 31, 2002

  • Now plugins can work in the search mode too.
  • List of the search engines has been updated.
  • Now it is possible to rescan any failed URL (see context menu for URLs list).
  • New free Keywords Filter plugin has been added.

Version 2.50 - released on June 4, 2002

  • New powerful plugins technology.
  • Some bugs has been fixed.

Version 2.41 - released on May 6, 2002

  • New powerful and fast algortihm of text files processing.
  • Little bug in search engines module has been fixed.
  • AREA tag processing is fixed in internal HTML parser.
  • Processing of very long META tags is fixed in internal HTML parser.
  • Dead search engines are removed and new earch engines are added.

Version 2.40 - released on March 7, 2002

  • Some search engines are processed directly now, not through our servers scripts.
  • Bug with detecting of dial-up connections under Windows NT4 and Windows '98 was fixed.
  • List of URLs importing was optimized.
  • Bug with users scripts in PRO version was fixed.
  • Dead search engines are removed and new earch engines are added.

Version 2.31 - released on January 10, 2002

  • Strong bug has been fixed.

Version 2.30 - released on January 9, 2002

  • New toolbar icons in Windows XP style (under XP only).
  • Bug with BASE tag in internal parser has been fixed.
  • Loading lists of URLs from text file has been added.
  • Some AEE algorthms has been optimized.

Version 2.30 beta 3 - released on January 4, 2002

  • Export to Microsoft Excel has been fixed.
  • Dead search engines has been replaced or removed.
  • And some other little fixes.

Version 2.30 beta 2 - released on December 26, 2001

  • Authentication support has been added.
  • /RUN command line key has been added.
  • Some little fixes.

Version 2.30 beta - released on December 20, 2001

  • Now, you can use fast internal HTML parser instead of Microsoft HTML parser!
  • AEE was optimized and now work faster with any HTML parser.
  • Menu painting bug has been fixed.

Version 2.25 - released on November 1, 2001

  • Microsoft Windows XP styles support.
  • 330 search engines in PRO-version.

Version 2.24 - released on October 8, 2001

  • Bugfix in registration mechanism.
  • New optional limitation for links in job list.

Version 2.23 - released on Septeber 28, 2001

  • One-click results export to Microsoft Excel.
  • You can tun on adverse effect for "Don't download file matching following patterns".
  • 172 new search engines in PRO-version.
  • 12 new search engines in standard version.
  • Work with search engines was optimized.

Version 2.21 - released on July 7, 2001

  • New search engines has been added. PRO version have 130 engines and standart version have 76 engines now.
  • Now you can enter search phrases in any language - from Japanese language to Arabic and Hebrew.

Version 2.2 - released on June 14, 2001

  • Maximal size of JScript program in PRO version was increased to 40000 symbols.
  • Now, you can specify disk directories to scan (all HTML, HTM and TXT files will scanned).
  • Several search engines has been added.
  • Bugs in HTML parser has been fixed.

Version 2.11 - released on May 30, 2001

  • Dangerous bug was fixed.

Version 2.1 - released on May 22, 2001

  • Integration to Microsoft Internet Explorer has been added.
  • Go.Com has been replaced by AllTheWeb.
  • Three Italian search engines has been added.
  • Portuguese and Brazilian search engines has been added.
  • Four Taiwanese search engines gas been added.
  • Search engines of China and Hong Kong has been added (two in STD and four to PRO-version).
  • Four English search engines has been added (five to PRO-version).
  • InfoTiger and InfoMak has been added to PRO-version of AEE.

Version 2.0 - released on March 27, 2001

  • PRO version was added.
  • Menu and several new commands was added.
  • Projects support was added - now you can continue your work at any time!
  • New option: 'Ignore pages with many emails'.
  • New option: 'Enable duplicated emails'.
  • Scripting technology was added! Now you can filter and process found emails with your own JScript program.

Version 1.33 - released on February 16, 2001

  • Search scripts have been moved to another fast server.
  • Twenty new search engines was added, including Dutch, Spanish and German.
  • New option: "Automatically stop scanning when no dial-up connection".
  • Several small bugs was fixed.

Version 1.32 - released on January 9, 2001

  • Serious bug at 0x004228AE address was fixed.
  • Little cosmetic corrections.
Version 1.31 - released on December 7, 2000

  • Optional dial-up disconnecting was added.
  • Text parsing bug was fixed.
Version 1.3 - released on November 24, 2000

  • The search of addresses in text files and written as text was added.
  • The limiter of the number of documents from the same domain was added.
  • More accurate emails processing (line feeds, nonprinting characters, etc.).
  • Twenty new search engines was added.
  • Auto job list scrolling.
  • Scanning threads hand-up was fixed.
  • AEE work 30% faster with large job list now.
Version 1.2 - released on September 22, 2000

  • Optional User-Agent string was added.
  • Optional Referer string was added.
  • Comma Separated Values (.CSV) output file format was added.
  • Some little bugs was fixed.
  • German version was added.
Version 1.1 - released on July 26, 2000

  • Search by keywords via popular search engines was added.
  • Now program can collect email owners names.
  • Optional temporary file with scan results was added.
  • New option: "all links with @ are emails".
  • Several memory allocation bugs was fixed.
Version 1.0 - released on June 14, 2000

  • Referers was added to HTTP requests.
  • Support for long links was added.
  • Small cosmetic corrections.
Version 0.93 - released on May 27, 2000

  • "Start new scanning immediately" option was added.
  • Program interface was optimized for huge lists handling.
  • Clipboard support in context menu was added.
  • "Save source URLs with emails list" option was added.
Version 0.9 - first private version, released on May 22, 2000


Overview

The main window of the program is divided into two lists - list of jobs and list of addresses. By clicking on the separator between them, you can change relative width of the lists. Elements of the lists have the context menu opened by right-clicking the mouse button. The program is controlled using the menu and toolbar above the lists, and operation progress information is displayed in the status bar under the lists.

The list of jobs

The list of jobs consists of four columns. Page - address of web-page or file. Emails - number of Email addresses found on the page; the number of counted addresses is shown in brackets. If the job is not processed yet, question-mark (?) appears in this column. Links - number of hyperlinks found on the page; the number of counted links is shown in brackets. If the job is not processed yet, question-mark (?) appears in this column. Address or link found will be counted provided it is new (not found in the jobs already fulfilled), and meets chosen scanning options and exclusions. If the job has failed, error description is shown in the Comment column.

The following icons are used to present jobs in the list:

New unprocessed job.
Successfully processed job.
Failed job.
Job in progress.

Through the context menu of the jobs list opened by right-clicking the mouse on a list element, you can open a web-page by your browser or delete the job. To open a web-page, you can also double click the mouse on the job.

The list of addresses

The list of addresses contains email addresses found in the Emails column and address of web-pages where the addresses were found in the Source column. Through the context-sensitive menu of the addresses list opened by right-clicking the mouse on a list element, you can send a message, open the source page by your browser or delete the address. You can also send a message with your default mail client by double-clicking the mouse.

The menu

All functions of the program are controlled through the menu. To configure the program click Scanning \ Program settings... menu. To adjust Internet connection settings click Scanning \ Internet settings... menu. Creation of new project, saving current work and loading of saved project are available through File menu. Note, that you can save current work as mailing list (file with .LST, .TXT or .CSV extension), or as a project (file with .AEE extension). You can load project file into AEE back to continue scanning. Since 2.30 version, you can also load "List of URLs" in text file, not only AEE projects. In this case, new project (with no depth limitations) will created and all found HTTP and HTTPS links from text file will added to project. Some of important menu commands are described below.

The toolbar

Some functions of the menu are available through the toolbar. Buttons:

Create a new job. When creating a new job, the old job and the results of its processing are reset. The job is placed into the list of jobs.
Search by keywords. It is the subtype of the new job creation. When a new job is created, old job and the results of its processing are reset. The search is executed through popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others.
Save the project to file. To choose file name and type (list or project) click menu File \ Save As... Saving is impossible when scan is running.
Start scan.
Stop scan. After stopping scan, you can resume processing of the job from the same point, save results on a disk or reset the job.
Delete highlighted job or email address from the list. Any job in progress can be deleted, too. When deleting the successfully processed job from the list of jobs, all addresses found on the page are deleted, too.
Turn on / off new links addition to job list.
Open AEE home page in the Internet. The page will be opened with your default browser.
Launch AEE help system.

Status bar

The status bar contains five fields. If the main window of the program is small, only the first field is visible.

In the first field shows the program status. In the second field, jobs progress - the number of jobs done vs. total jobs number is displayed graphically. The rest three fields show the number of addresses found, number of documents processed, and total number of documents in the job list respectively.


Creating a new job

The new job creating window is opened through the toolbar or menu. When a new job is created, old job and the results of its processing are reset. To create a job, you have to specify the initial document and type of scan range limitation to be used.

Creating a new job.

Initial URL or file name

To create a job, it is necessary to specify the initial document. It can be either an URL of some web-page, or a name of a local disk file. You can choose disk file by clicking the "File..." button. In an URL, the protocol prefix (http://) must be included, otherwise, the "Unknown protocol" error may occur during the job processing. It is recommended to type slash at the end of directory paths (for example, http://www.softpile.com/dir/ instead of http://www.softpile.com/dir), otherwise, with some types of range limitations, the program may go one level higher than expected. Please note that the initial document is not checked against exclusion patterns set in the program options.

Note: If you wish to extract emails from text file, file MUST have .txt extension. In this case, file will be processed by special parser for text files. Otherwise, file will be processed by HTML parser. Also, check the Collect emails written as text setting.

No limitations (follow all the links)

Scan range is not limited. Please note that the exclusions set in the program options are effective with this mode, too. So, you can add sites of banner systems, visitor counters, etc. into the exclusion list instead of limiting scan range.

As above (all the links), but only X levels deep

Unlike the previous limitation, here, the number of documents to be downloaded is finite (though it can be very great), and this mode can be used in the command prompt together with the function of results auto save. The depth 0 means that the initial document will be processed only. The depth 1 means, that the initial document and all the documents it is linked to will be processed. The maximum depth value is not limited.

Scan the given site only

If the initial document is a local disk file, this limitation means "scan files on all local disks". The files should be linked to each other, of course.

Scan within specified directory of the given site only

If the initial document is a local disk file, this limitation means "scan files on disk with initial document". The files should be linked to each other, of course.

Scan the given site and sites listed in initial document only

The program scans the entire site chosen and bypasses all the sites, links to which are contained in the initial document. If you want the program to bypass the sites listed in the initial document only and not bypass the site that contains the initial document, you can add the initial document web address to the scan exclusions in AEE options.

Authentication

Authentication settings are optional. Note, that login and password will saved into the project file.

Login and password

User name and password to access the resource. This information will be entered to ALL servers which are require authentication (if otherwise is not specified by following settings).

Enter login/password at initial server only

If this option is ticked and initial URL is http://secure.my.com/, then login/password will entered for all protected pages of secure.my.com, but will not entered for protected pages of http://www.my.com/, http://secure-1.my.com/ and other servers.

Enter login/password only for HTTPS

If this option is ticked and initial URL is https://secure.my.com/, then login/password will entered for all protected pages of https://secure.my.com, but will not entered for protected pages of http://secure.my.com/ and other servers.


Plugins

Plugins are small auxiliary programs that help AEE to solve specific tasks and extend its capabilities. E.g. plugins can be used to solve tasks of untypical datasource (LDAP and NNTP-servers) processing, to control AEE surfing by screening unneeded links and/or by supplying URLs for processing, to process found e-mail addresses. Plugins can also access web-pages under processing and retrieve specific data. Actually, plugin can fully substitute AEE logic, leaving untouched only the HTML-processing function and visualization of the data found.

Plugins are available only with AEE professional edition; some plugins that are using protected AEE functions might require registered copy of the program. Some plugins are distributed as freeware; some are enclosed with AEE. Some plugins are distributed as shareware - you can download a plugin from our web-site and get familiar with it, but you have to register it to use it with no time or operation limitations.

Creating a search using a plugin is a subtype of new task creation. To open the search creation window, use the toolbar or the program menu. When a new task is created, the old task and its results are cancelled. To create a task, choose one of the installed plugins.

Select the plugin

Once a plugin is chosen, it becomes active and prompts a user to enter initial search conditions in its own initialization window. For example, plugin Google Groups prompts to choose one of the newsgroups for scanning.

Google Groups settings

Some plugins allow a user to adjust plugin settings after a project is created through the Scanning \ Plugin Settings menu item. Adjustment of the setting is only possible when scanning is stopped.

Information about a plugin used and its settings is stored in AEE project (.aee file), so scanning can be continued after loading the project file, if other is not explicitly stated in the plugin documentation.

Two simple plugins: Phorum and Google Groups are supplied with AEE for free. These plugins help with scanning forums based on Phorum.org team developments (you can see example forum on their site) and newsgroups published on the Google Groups site, respectively. Both plugins are very simple and they perform the same function: don't let AEE digress to irrelevant links, don't let it download the same messages in different views, thus saving traffic and scanning time. Theoretically, these tasks might be partly solved through the AEE settings (through exclusions and scan range setting), but it would be impossible to fully screen unneeded pages (including ones that have the same content in different views), and one would have to study special features of Phorum and Google scripts to ensure correct filter setting.

You can find additional plugins for Advanced Email Extractor on our web-site. Plugins are to be installed in the plugins\ subdirectory in the directory that contains Advanced Email Extractor. If you want to remove AEE from your machine you need to uninstall additional plugins installed after Advanced Email Extractor installation first.

Program interface of the plugins is closed, and it can be supplied to other developers for extra charge. AEE registration doesn't include plugin interface licence and gives no right for independent development and distribution of solutions for AEE.

Our specialists can develop specific solutions based on AEE plugin technology to your order. Development of a simple plugin (e.g. like Phorum or Google Groups supplied with AEE) takes 1-3 days and would cost about $100. Plugin source code is not provided to a customer (unless he holds a plugin interface licence); but we provide 3-month warranty for free elimination of all developer errors found in a plugin.


Keywords Filter plugin

The Keywords Filter plugin is designed to filter out web-pages by keywords contained in address, heading, meta-tags, text, and body of a page. If a page doesn't match criteria specified by you, it won't be processed, so links and addresses contained on that page won't be added to the lists of links and jobs of Advanced Email Extractor. If the page URL doesn't match the criteria, the page won't be even added to the job list and won't be loaded. For more details about AEE plugin system and about job creation using plugins click here.

The plugin is operable in the two modes: 1) as an initiator of a new job and 2) in the search mode though search engines using keywords. When a new job is created with the plugin, some of its settings are similar to the new job creation settings:

New job creation

These settings are described in the section "Creation of a New Job", so we won't describe them here. The other settings (the right segment of the window shown above) are absolutely the same as plugin settings in the search mode:

Search through search engines

The plugin allows you to set from one to four rules, which can be related by AND or OR logic. In the first instance, the page (or its URL) should comply with all the rules, in the second instance it should comply with at least one rule. To choose the logic of rule relation, use radio button at the window bottom.

To enable a rule, tick the relevant box on the left, and in the drop-down window (combobox) you can choose a field for search for the keywords entered in the input field below. You can enter several keywords separated by comma. A page (or its rule) is considered to comply with the rule if at least of keyword from the list is found in specified field of the page.

Keyword search is not case-sensitive, partial match is allowed. E.g., the key 'drive' would match such phrases as 'Drive Test', 'OVERDRIVE!', 'city driving'. The rules don't work:

  • in the search mode: for requests to search engines, they are not processed by the plugin
  • when creating a new job: the initial URL (entered in the plugin window) are not processed by the plugin

Possible keyword search fields:

  • Anywhere in the web page — this is the same as if you open a web-page text in a text editor and run search through that text. Matches with HTML tags, etc. are possible.
  • Title of web page — in the title (web-page heading)
  • Text of web page — all the tags are removed from an HTML page (meta-tags and metadata in them, pop-up notes to pictures in ALT, etc. are also removed.), so that only text remained in it, and the search is run through that text
  • In the keywords meta tag — the keywords meta-tag is not a strictly required web-page tag, it is a special tag for search engines and robots contained in the page heading
  • URL of web page — in the web-page address

You can also set negation of the above rules.

If the rule of search for keywords in the web-page URL is chosen, and there are no other rules, or the rules are related by the AND logic, and the rule is not complied with, the address won't be added to the address list (because irrespective of compliance with other rules, with the AND logic one uncomplied rule determines the result). If the rules are related by the OR logic, the page will be loaded and checked for compliance with the rest rules. If none of them are complied with, the page won't be processed, and 0 (0) will be displayed in the columns with the number of addresses and links found. The entry 0 (0) means the following: the first figure is the number of e-mail addresses (and the number of links for the second column respectively), added to the list of addresses (links), the second, bracketed figure shows the total number of addresses (links) on a page.


Additional plugins

Plugins are small auxiliary programs that help AEE to solve specific tasks and extend its capabilities. E.g. plugins can be used to solve tasks of untypical datasource (LDAP and NNTP-servers) processing, to control AEE surfing by screening unneeded links and/or by supplying URLs for processing, to process found e-mail addresses. Also, the plugins can access web-pages under processing and retrieve specific data. Actually, plugin can fully substitute AEE logic, leaving untouched only the HTML parsing function and visualization of the data found. Note, that plugins are available in professional version of AEE.

Currently, three free plugins are distributed within AEE package. Available additional plugins (see full list on the web):

LDAP Plugin
Shareware, $79

Plugin for Advanced Email Extractor to extract emails and names from LDAP directories in Intranet/Internet, including directories of Microsoft Exchange, Lotus Domino and iPlanet servers.
What Is a Directory?
What is LDAP?
LDAP FAQs
Download (422 Kb)
• MailUtilities
• Mirror 1

Meta Tags Explorer
Shareware, $30

This plugin is designed to search for metadata (content of meta tags) on pages scanned by Advanced Email Extractor. You can use it to view and analyze metadata found, and save it in varied formats. We are strong recommend to all webmasters to scan their sites with this plugin. Look at screenshot.
Download (566 Kb)
• MailUtilities
• Mirror 1

USA Geographical Search
Shareware, $40

This plugin designed to extract emails of peoples or companies that located in specified US city or state. Plugin use some public directories to extract data.
Download (393 Kb)
• MailUtilities
• Mirror 1

Fax Harvester
Shareware, $59

Fax Harvester Plugin is intended for search of fax numbers on scanned pages. With help of this plugin you can find fax numbers represented in wide enough range of formats. By means of plugin start settings you can construct special search conditions. Here you can specify, which faxes of You interest (for example containing codes of the countries or cities [areas] necessary to you). Moreover, plugin allow to set advanced search conditions by means of manual regular expression editing. Look at screenshot.
Download (604 Kb)
• MailUtilities
• Mirror 1

Employers Search Plugin
Shareware, $40

This plugin designed to extract emails employers by specified location, category and keywords. Plugin use some sources to extract data.
Download (389 Kb)
• MailUtilities
• Mirror 1


Search by keywords (STD)

The creation of search by keywords is the subtype of the new job creation. The search by keywords creating window is opened through the toolbar or program menu. When a new job is created, old job and the results of its processing are reset. To create a job, you have to specify the search phrase, search engine and the type of scan range limitation. Below the description of search dialog in standard version of AEE. See description of PRO version dialog here.

Search by keywords.

Search phrase

You can use advanced syntax, which is specific for selected search engine. See web server of selected engine to learn more about advanced syntax.

Use no more than X search results

The search engines can give millions of links for some keywords. Use this field to limit the search by the most suitable links.

Search engine

Now you can use popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others. The search is executed through the scripts on web server of our company. This saves you from the necessity to update software every time when the web interface of the one from search engines will be changed.

No limitations

AEE will follow all links, which will meet in found documents. Note that the program will not scan all links from search engine web page with search results, it will scan all links in found documents only.

Not far than X links from found documents

If X is equal to 0, then the program will scan all found documents, but will not follow the found hyperlinks in them. If X is equal 1, then program will follow all hyperlinks, but will not follow links from "second generation" documents, and so on. Maximal value of X is not limited.

Scan within found sites only

The program will try to scan all sites, which pages links was return by search engine. Of course, the found pages must contain links to other site pages.


Search by keywords (PRO)

The creation of search by keywords is the subtype of the new job creation. The search by keywords creating window is opened through the toolbar or program menu. When a new job is created, old job and the results of its processing are reset. To create a job, you have to specify the search phrase, search engines and the type of scan range limitation. Below the description of search dialog in PRO version of AEE. See description of standard version dialog here.

Search by keywords.

Since 2.60 version, you can use plugins in search mode. Click 'Add plugin' button to add one from ainstalled plugins to the project. In most cases, you should set some settings for plugin (e.g., look at settings window of Keywords Filter). Plugin settings window will be show immediately after the project creation (when you click OK in the window above).

Search phrase

You can use advanced syntax, which is specific for selected search engine. See web server of selected engine to learn more about advanced syntax.

Use no more than X search results

The search engines can give millions of links for some keywords. Use this field to limit the search by the most suitable links.

Search engine

Now you can use popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others. The search is executed through the scripts on web server of our company. This saves you from the necessity to update software every time when the web interface of the one from search engines will be changed.

No limitations

AEE will follow all links, which will meet in found documents. Note that the program will not scan all links from search engine web page with search results, it will scan all links in found documents only.

Not far than X links from found documents

If X is equal to 0, then the program will scan all found documents, but will not follow the found hyperlinks in them. If X is equal 1, then program will follow all hyperlinks, but will not follow links from "second generation" documents, and so on. Maximal value of X is not limited.

Scan within found sites only

The program will try to scan all sites, which pages links was return by search engine. Of course, the found pages must contain links to other site pages.


Set of search engines
International
Engine | STD | PRO | Engine | STD | PRO
AltaVista | yes | yes | Excite | no | yes
Yahoo | yes | yes | Yahoo Directory | no | yes
AllTheWeb | no | yes | Mamma | yes | yes
Google | no | yes | Lycos | no | yes
DMOZ | no | yes | HotBot | no | yes
DogPile | no | yes | DogPile Directory | no | yes
Netscape | no | yes | MSN | no | yes
WebCrawler | no | yes | Jayde | no | yes
AOL Search | no | yes | FindWhat | no | yes
Evreka | no | yes | LookSmart | no | yes
Trovator | no | yes | EuroSeek | no | yes
Teoma | no | yes | Wisenut | no | yes
About | no | yes | Aesop | no | yes
Sprinks | no | yes | ICQ Search | no | yes
ThunderStone | no | yes | IxQuick | no | yes
Terra | no | yes | Lookle | no | yes
TheInfoDepot | no | yes | Espotting | no | yes
HootingOwl | no | yes | Azoos | no | yes
BusinessNation | no | yes | LookForStuff | no | yes
Me-ohmy | no | yes | MetaEureka | no | yes
SearchSpot | no | yes | Slider | no | yes
Topseven | no | yes | AllTheSites | no | yes
Arianna | no | yes | Nomade | no | yes
ClicKey | no | yes | Galaxy | no | yes
Dygo | no | yes | National Directory | no | yes
BrainySearch | no | yes | Crawldad | no | yes
E-mews | no | yes | Engine54 | no | yes
Orura | no | yes | PocketFlier | no | yes
VeryGoodSearch | no | yes |  |  |
Canada
Engine | STD | PRO | Engine | STD | PRO
Google (ca) | no | yes | AltaVista (ca) | no | yes
 | no | yes | Excite (ca) | no | yes
Government of Canada | no | yes | Alcanseek (ca) | no | yes
Yahoo (ca) | no | yes | Yahoo Directory (ca) | no | yes
AOL (ca) | no | yes | LookSmart (ca) | no | yes
MSN (ca) | no | yes | Sympatico (ca) | no | yes
Quebec (ca) | no | yes |  |  |
United Kingdom
Engine | STD | PRO | Engine | STD | PRO
Google (uk) | no | yes | Altavista (uk) | no | yes
Excite (uk) | no | yes | MSN (uk) | no | yes
Lycos (uk) | no | yes | Mirago (uk) | no | yes
Yahoo (uk) | no | yes | Yahoo Directory (uk) | no | yes
Abacho (uk) | no | yes | Evreka (uk) | no | yes
Sparksearch (uk) | no | yes | Freeserve (uk) | no | yes
Ireland
Engine | STD | PRO | Engine | STD | PRO
Altavista (ie) | no | yes | Doras (ie) | no | yes
Search Ireland Only | no | yes | Ireland Oline | no | yes
Iceland
Engine | STD | PRO | Engine | STD | PRO
Evreka (is) | no | yes | Ha (is) | no | yes
Leit (is) | no | yes | WalHello (is) | no | yes
Germany
Engine | STD | PRO | Engine | STD | PRO
Yahoo (de) | no | yes | Yahoo Directory (de) | no | yes
AltaVista (de) | no | yes | SpeedFind (de) | no | yes
Excite (de) | no | yes | Fireball (de) | no | yes
Lycos (de) | no | yes | Google (de) | no | yes
Abacho (de) | no | yes | BellNet (de) | no | yes
Dino (de) | no | yes | Lotse (de) | no | yes
SuchMaschine (de) | no | yes | Evreka (de) | no | yes
AOL (de) | no | yes | Blitzsuche (de) | no | yes
Metaspinner (de) | no | yes | MSN (de) | no | yes
Nathan (de) | no | yes | Web (de) | no | yes
Allesklar (de) | no | yes | Business (de) | no | yes
Flix (de) | no | yes | Hit Net (de) | no | yes
Meine Suche (de) | no | yes | Suchbiene (de) | no | yes
Witch (de) | no | yes | Amadillo (de) | no | yes
T-Online (de) | no | yes |  |  |
Holland
Engine | STD | PRO | Engine | STD | PRO
Vindex (nl) | no | yes | Ilse (nl) | no | yes
Lycos (nl) | no | yes | Vinden (nl) | no | yes
Altavista (nl) | no | yes | Planet (nl) | no | yes
Search (nl) | no | yes | Zoek (nl) | no | yes
Evreka (nl) | no | yes | BigSearch (nl) | no | yes
Excite (nl) | no | yes | MSN (nl) | no | yes
Spinnenweb (nl) | no | yes | Track (nl) | no | yes
Spain
Engine | STD | PRO | Engine | STD | PRO
AltaVista (es) | no | yes | Yahoo (es) | no | yes
Yahoo Directory (es) | no | yes | Excite (es) | no | yes
Lycos (es) | no | yes | Terra (es) | no | yes
 | no | yes | Abacho (es) | no | yes
Ozu (es) | no | yes | Brujula (es) | no | yes
Enlaweb (es) | no | yes | HispaVista (es) | no | yes
MSN (es) | no | yes | Trovator (es) | no | yes
Wanadoo (es) | no | yes |  |  |
Italy
Engine | STD | PRO | Engine | STD | PRO
Libero (it) | no | yes | Yahoo (it) | no | yes
Yahoo Directory (it) | no | yes | Virgilio (it) | no | yes
Google (it) | no | yes | AltaVista (it) | no | yes
Evreka (it) | no | yes | Excite (it) | no | yes
Godado (it) | no | yes | ILtrovatore (it) | no | yes
Lycos (it) | no | yes | SuperEva (it) | no | yes
France
Engine | STD | PRO | Engine | STD | PRO
Yahoo (fr) | no | yes | Yahoo Directory (fr) | no | yes
AltaVista (fr) | no | yes | Voila (fr) | no | yes
Lycos (fr) | no | yes | Google (fr) | no | yes
Abacho (fr) | no | yes | Nomade (fr) | no | yes
Evreka (fr) | no | yes | Abidjan (fr) | no | yes
AOL (fr) | no | yes | Excite (fr) | no | yes
Francite (fr) | no | yes | HotBot (fr) | no | yes
Netguide (fr) | no | yes |  |  |
Switzerland
Engine | STD | PRO | Engine | STD | PRO
Google (ch) | no | yes | Abacho (ch) | no | yes
Search (ch) | no | yes | AltaVista (ch) | no | yes
Auskunft (ch) | no | yes | Lycos (ch) | no | yes
Swiss-search (ch) | no | yes |  |  |
Finland
Engine | STD | PRO | Engine | STD | PRO
Sonera Plaza (fi) | no | yes |  | no | yes
AltaVista (fi) | no | yes | Evreka (fi) | no | yes
Denmark
Engine | STD | PRO | Engine | STD | PRO
Kvasir (dk) | no | yes | Yahoo (dk) | no | yes
Yahoo Directory (dk) | no | yes | Excite (dk) | no | yes
Lycos (dk) | no | yes | Evreka (dk) | no | yes
AltaVista (dk) | no | yes | Google (dk) | no | yes
Jubii (dk) | no | yes |  |  |
Norway
Engine | STD | PRO | Engine | STD | PRO
Kvasir (no) | no | yes | Evreka (no) | no | yes
AltaVista (no) | no | yes | Yahoo (no) | no | yes
Yahoo Directory (no) | no | yes | Trovator (no) | no | yes
Austria
Engine | STD | PRO | Engine | STD | PRO
Abacho (at) | no | yes | AltaVista (at) | no | yes
MSN (at) | no | yes | WebWizard (at) | no | yes
Belgium
Engine | STD | PRO | Engine | STD | PRO
AltaVista (be) | no | yes | Lycos (be) | no | yes
WebWatch (be) | no | yes |  |  |
Sweden
Engine | STD | PRO | Engine | STD | PRO
AltaVista (se) | no | yes | Evreka (se) | no | yes
Excite (se) | no | yes | Lycos (se) | no | yes
MSN (se) | no | yes | Tjohoo (se) | no | yes
Yahoo (se) | no | yes | Yahoo Directory (se) | no | yes
Greece
Engine | STD | PRO | Engine | STD | PRO
ForthNet (gr) | no | yes | In (gr) | no | yes
LookFor (gr) | no | yes | Phantis (gr) | no | yes
Evreka (gr) | no | yes |  |  |
India
Engine | STD | PRO | Engine | STD | PRO
Altavista (in) | no | yes | Msn (in) | no | yes
Yahoo (in) | no | yes | Yahoo Directory (in) | no | yes
Asiaco (in) | no | yes | Khoj (in) | no | yes
Russia
Engine | STD | PRO | Engine | STD | PRO
Aport (ru) | no | yes | Rambler (ru) | no | yes
Yandex (ru) | no | yes | Punto (ru) | no | yes
Evreka (ru) | no | yes | Eprst (ru) | no | yes
Hochu! (ru) | no | yes | Lycos (ru) | no | yes
Estonia
Engine | STD | PRO | Engine | STD | PRO
Delfi (ee) | no | yes | Eesti (ee) | no | yes
Evreka (ee) | no | yes | Nneti (ee) | no | yes
Latvia
Engine | STD | PRO | Engine | STD | PRO
Tvnet (lv) | no | yes | Evreka (lv) | no | yes
Delfi (lv) | no | yes |  |  |
Czech Republic
Engine | STD | PRO | Engine | STD | PRO
Evreka (cz) | no | yes | Centrum (cz) | no | yes
Msn (cz) | no | yes | Seznam (cz) | no | yes
Israel
Engine | STD | PRO | Engine | STD | PRO
Evreka (il) | no | yes | Achla (il) | no | yes
Walla (il) | no | yes |  |  |
Hungary
Engine | STD | PRO | Engine | STD | PRO
Evreka (hu) | no | yes | Goliat (hu) | no | yes
Index (hu) | no | yes | Origo (hu) | no | yes
Heureka (hu) | no | yes |  |  |
Brazil
Engine | STD | PRO | Engine | STD | PRO
Yahoo (br) | no | yes | Yahoo Directory (br) | no | yes
AltaVista (br) | no | yes | 102Br (br) | no | yes
Achei (br) | no | yes | MSN (br) | no | yes
Terra (br) | no | yes | Trovator (br) | no | yes
DialData (br) | no | yes |  |  |
Portugal
Engine | STD | PRO | Engine | STD | PRO
Google (pt) | no | yes | Sapo (pt) | no | yes
NetIndex (pt) | no | yes | Evreka (pt) | no | yes
AltaVista (pt) | no | yes | Clix (pt) | no | yes
Galileu (pt) | no | yes | Trovator (pt) | no | yes
Argentina
Engine | STD | PRO | Engine | STD | PRO
Evreka (ar) | no | yes | Radar (ar) | no | yes
Terra (ar) | no | yes |  |  |
Chile
Engine | STD | PRO | Engine | STD | PRO
BuscaChile (cl) | no | yes | Huifa (cl) | no | yes
Lycos (cl) | no | yes | OpenChile (cl) | no | yes
TodoChile (cl) | no | yes | Terra (cl) | no | yes
Australia
Engine | STD | PRO | Engine | STD | PRO
AltaVista (au) | no | yes | Anzwers (au) | no | yes
Excite (au) | no | yes | GOeureka (au) | no | yes
LookSmart (au) | no | yes | NineMsn (au) | no | yes
Tasmania (au) | no | yes | WebWombat (au) | no | yes
WildDog (au) | no | yes | Yahoo (au) | no | yes
Yahoo Directory (au) | no | yes |  |  |
New Zeland
Engine | STD | PRO | Engine | STD | PRO
AltaVista (nz) | no | yes | MSN (nz) | no | yes
SearchNZ (nz) | no | yes | Yahoo (nz) | no | yes
Yahoo Directory (nz) | no | yes |  |  |
Japan
Engine | STD | PRO | Engine | STD | PRO
Yahoo (jp) | no | yes | Yahoo Directory (jp) | no | yes
Excite (jp) | no | yes | Lycos (jp) | no | yes
Goo (jp) | no | yes | Google (jp) | no | yes
FreshEye (jp) | no | yes | InfoSeek (jp) | no | yes
Tocc (jp) | no | yes |  |  |
Taiwan
Engine | STD | PRO | Engine | STD | PRO
Sina (tw) | no | yes | PC Home (tw) | no | yes
OpenFind (tw) | no | yes | Yam (tw) | no | yes
Gais (tw) | no | yes | Lycos (tw) | no | yes
MSN (tw) | no | yes | Yahoo Directory (tw) | no | yes
Yahoo (tw) | no | yes |  |  |
China
Engine | STD | PRO | Engine | STD | PRO
Sina (cn) | no | yes | Sohu (cn) | no | yes
Yahoo (cn) | no | yes | Yahoo Directory (cn) | no | yes
Hong Kong
Engine | STD | PRO | Engine | STD | PRO
Sina (hk) | no | yes | Yahoo (hk) | no | yes
Yahoo Directory (hk) | no | yes | MSN (hk) | no | yes
Korea
Engine | STD | PRO | Engine | STD | PRO
AltaVista (kr) | no | yes | Google (kr) | no | yes
Lycos (kr) | no | yes | Naver (kr) | no | yes
Yahoo (kr) | no | yes | Yahoo Directory (kr) | no | yes
Empas (kr) | no | yes |  |  |
Mexico
Engine | STD | PRO | Engine | STD | PRO
Iguana (mx) | no | yes | Lycos (mx) | no | yes
Terra (mx) | no | yes | Yahoo (mx) | no | yes
Yahoo Directory (mx) | no | yes

To be continued...


Command Prompt

Command prompt allows to automize operation of the program completely. In the command prompt, you can set the initial document, type of scan range limitation, output file name and order to the program to close after scan is completed and the results saved.

Syntax:

AEE.EXE (/FILE filename) | (/RUN filename) | ([/U] [/L:type [/F:deep] initial_url [output_file [/Q]])

Parameter values:

/FILE - load AEE project (file with .AEE extension). This key is incompatible with all other keys.

/RUN - the same as /FILE, but start scanning immediately.

/U - clear all AEE options stored in the registry, close all working copies of the program and complete. Cancels all other command prompt parameters.

/L:type - when scanning, use limitation type with the "type" number (from 0 to 4, in the same order as listed in the create new job dialogue). This parameter is necessary to create a new job from the command prompt.

/F:deep - depth of scanning for limitation of a range with number 1, necessary parameter. This parameter is not needed for other limitation types.

initial_url - file name or URL, should be placed in brackets if it contains spaces. This URL is added to the job list and launched.

output_file - name of an output file, which the list of addresses will be automatically saved upon scanning completion.

/Q - close the program after scan is complete and the list of addresses is saved in an output file.

Please note that if at least one parameter in the command prompt is incorrect, the entire command prompt will be ignored. While a job set through the command prompt is being executed, you can stop it, resume execution, save partial results in a file on disk. Options of automatic results saving and automatic program termination upon scan completion (key /Q) will be reset only when a new job is created.

Correct command prompt examples

  1. AEE.EXE /FILE myProj.AEE
  2. AEE.EXE /FILE "C:\Program Files\my project.AEE"
  3. AEE.EXE /L:0 http://www.softpile.com/
  4. AEE.EXE /L:1 /F:3 http://www.mailutilities.com/adr/
  5. AEE.EXE /L:4 http://www.reget.com/ reget.lst /Q
  6. AEE.EXE /L:3 "C:\Html Files\index.html" mylst.lst
  7. AEE.EXE /L:0 C:\index.html
  8. AEE.EXE /L:2 C:\index.html
  9. AEE.EXE /L:2 file:///C:/index.html
  10. AEE.EXE /U

Incorrect command prompt examples

  1. AEE.EXE http://www.softpile.com/
  2. AEE.EXE /L:1 http://www.mailutilities.com/adr/
  3. AEE.EXE /L:4 http://www.reget.com/ /Q
  4. AEE.EXE /L:3 C:\Html Files\index.html mylst.lst


Advanced Features

Advanced features are intended for experienced users. To turn on/off features, you should add some values to Windows registry using .REG files, located in features subdirectory of Advanced Email Extractor installation folder. Features don't affect working of other programs or OS Windows.

Corrupted project file recovery

To turn on this feature, start ffEnable.reg file from features subdirectory and try to open corrupted file. You'll see the following text after the project loading:

Save the fixed project to another file, re-start AEE and open the fixed file. We recommend to turn the feature off after recovery. To turn off the feature, start ffDisable.reg file.

Manual proxy configuration for search module

In some cases, search engines handling module can't get the default proxy settings. As the result, AEE can't load configuration file for search engines handling from our server, and at that time other types of projects (search using initial URL or plugin) work correctly.

Open cfgProxy.reg file from features subdirectory with Notepad, specify your proxy server address and save it. After that, start this file and settings from it will be added to registry.

To list a proxy for a specific protocol in the REG-file, the string must follow the format "://". The valid protocols are http, https, ftp, and gopher. For example, to list an ftp proxy, a valid string would be "ftp=ftp://ftp_proxy_name:21", where ftp_proxy_name is the name of the ftp proxy and 21 is the port number that must be used to access the proxy. If the proxy uses the default port number for that protocol, the port number can be omitted. If a proxy name is listed by itself, it is used as the default proxy for any protocols that do not have a specific proxy specified. For example, "http=http://http_proxy other" would use http_proxy for any http operations, while all other protocols (such as ftp and gopher) would use other.


Connection to the Internet

When working with the Internet, AEE uses Microsoft Internet Explorer settings, in particular, configuration of proxy-server. Options window may be opened through the AEE menu, through "Control Panel" or through the Microsoft Internet Explorer menu. For more details, please, see the Microsoft Internet Explorer help system.


General Options

To configure the common parameters, choose "General" in Advanced Email Extractor options. Options window may be opened through the AEE menu.

Beep when scanning is completed

Scan complete beep is produced through a sound card, not through PC Speaker.

Save source URLs with emails list

Save not only email addresses found, but also the addresses of pages where they were found, in an output file.

Start new scanning immediately

The new job will be launched automatically. Otherwise it should be started through the toolbar.

Create temporary project file

The temporary file is created in the directory with AEE and has name like $aeetmp$.XXX.aee, where XXX is decimal number. File is deleted when you close program, create new job or save emails list. This feature is enabled in registered version only.

Auto job list scroll to active jobs

Turn on auto job list scrolling to jobs which are processing now.

Hang up all dial-up connections when scanning complete

Disconnect all dial-up connections when scanning complete.

Automatically stop scanning when no dial-up connection

AEE will automatically stop scanning when no dial-up connection established, and'll automatically start scanning when connection'll established again.

Enable duplicated emails

When this option is off, AEE add to list of addresses unique emails only.

Integration to Microsoft Internet Explorer

Tick this box to add AEE to toolbar and menu of Internet Explorer. Note, that you must restart Internet Explorer to take effect.


Scan Options

To set the scan options, use the "Scanning" tab in Advanced Email Extractor options window. To open the options window, use AEE menu.

HTML parser

You can select one from two HTML parsers. Internal parser is faster and more reliable than Microsoft parser. But Microsoft parser process documents more accurately.

Number of scanning threads

Number of simultaneously loaded documents. The default value of this parameter is 10. For Internet connection on 33.6k speed, it is recommended to use 10..15 threads.

Number of tries to download document

The default value of this parameter is 3. After the chosen number of attempts are made with no success, the job will be marked as failed. The attempts are carried out consequently, one just after another.

Number of links from one domain

Allow AEE to avoid a standstill when it gets to a large server with the tens of thousands of documents like Amazon.com. Set zero to don't use this limitation.

Ignore pages with many emails

Some "antispam" pages contain hudreds of fake emails. When this option is on, AEE will not take emails from pages with more emails than specified. Set zero to don't use this limitation.

Limitation for links in job list

"Don't add more links" switch on toolbar will automatically turned on when list grow up to specified size. You'll able turn the switch off, or you can set 0 to disable this feature.

All links with @ are emails

Sometimes you can meet the links like <a href=a@b.c>, where webmaster has forgot to add mailto:. Turn on this option to consider such links as emails.

Collect the names of email owners too

The text between tags <A HREF=...> and </A> is considered as a name of email owner. Very often it is really so. You can turn on/off this option on-fly. The program stores this information in any case and option affects on data representation in program window and output file only.

Collect emails written as text

When this option is turned off, AEE collects emails written as hyperlinks only (<A HREF=mailto:...>) and doesn't extract emails from text files.


Setting Exclusions

To set the exclusions, choose the "Exclusions" tab in Advanced Email Extractor options window. To open the options window, use AEE menu.

Don't download files with the following extensions

You can use patterns when setting the extensions. ? means any one character, and * - any number of characters. So, the pattern m*g covers the following extensions: mg, mpeg and mpg; pattern s?m - s3m and stm extensions. The extension may consist of any number of characters. Please note that URL extension check is possible only before the URL is added into the list of the jobs. I.e. adding a new extension during scanning will not cancel currently existing jobs with this extension. The extension of the initial document is not checked.

Don't download file matching following patterns

You may use * and ? characters in patterns. Just note, that to exclude the entire site http://www.fbi.com/ from scanning, you should set the pattern *www.fbi.com* or http://www.fbi.com/*. If the pattern http://www.fbi.com/ is set, only the root page of the site will be ignored. The pattern *fbi* will cut off all paths containing the fbi substring. For example, http://xoom.com/~fbird/. Note that URL check for exclusions is possible only before the URL is added to the list of jobs. I.e. adding a new pattern during scanning will not cancel current jobs matching that pattern. The initial document is not checked for exclusions. Tick "NOT" to adverse effect for this setting.


HTTP Options

To set the HTTP options, use the "HTTP" tab in Advanced Email Extractor options window. To open the options window, use AEE menu.

User-Agent string

By this line browser informs web-server about its name and version. Usually the web-servers don't use this information for optimize the web-page, returned by requst, for given browser version. AEE can mask under the popular browsers, using the installed MSIE version by default.

Referer string

By this line the browser inform web-server about the web-page, from which was realized the pass to downloaded document. Usually site owners analyze this information to reveal directions of visitor threads. By also you can specify the fixed faked link (e.g., having the aim to attract visitors on your web-page) or turn referer line off.


JScript Options

Note, that this option is available in professional version of AEE only. To configure JScript, choose "JScript" tab in Advanced Email Extractor settings. You can open the settings window through the program menu.

Getting Familiar with JScript

JScript is a powerful programming language that supports COM/ActiveX automation. From JScript you can deal with MS Excel documents, MS Access databases and other widely used applications that support COM/ActiveX technology. To learn more about the language, see examples and download the language documentation, visit Microsoft web site.

In AEE, JScript program is used to "approve" e-mail address. If the address meets all the requirements defined in AEE settings, JScript is to say the last desisive word - whether to add the address to the list of addresses found or not. To make the decision, it can, for example, check the address through Advanced Maillist Verify, compare the mailbox and/or the mailbox domain to the list of mailboxes/domains needed in the program itself or in an external source (e.g., in a MS Excel document).

JScript Objects

Advanced Email Extractor extends the JScript name space with an object named aee that contains the following properties and methods:

Name | Type | Description
Email | Property. Read-only. | Container of e-mail address to be approved. Contains e-mail address only, without its owners name.
Mailbox | Property. Read-only. | Contains mailbox of the address. E.g. if the address is john@mail.com, mailbox is john.
Domain | Property. Read-only. | E-mail address domain. E.g. if the address is john@mail.com, domain is mail.com.
Owner | Property. Read-only. | E-mail address owner's name; can be an empty string. E.g., if the address is "J.Smith" <john@mail.com>, this property value will be J.Smith.
SourceUrl | Property. Read-only. | URL of the web-page where the E-mail address was extracted from.
Approve | Method. | If this method is not invoked during the script running, e-mail address will not be "approved" and will not be added to the list of addresses found.

Limitations

Please note that JScript program is executed for each new address found. If your program is using "heavy" ActiveX objects, this might result in serious performance problems due to tough usage of CPU resources and to insufficient RAM available. As addresses found are being processes one by one in one stream, use of slow objects and agorythm might affect scan speed negatively.

Please note that creating ActiveX components from script is not permitted in unregistered copy of AEE.

Program Examples

Example 1. A program that doesn't allow adding addresses with mailboxes postmaster, webmaster and info to the list.

if (aee.Mailbox != "webmaster" &&
    aee.Mailbox != "postmaster" &&
    aee.Mailbox != "info")
{
    aee.Approve();
}

Example 2. A program that doesn't allow addings addresses that contain the word SPAM in the owner's name, e-mail address or web-page address. Regular expression is used for keyword search.

var re = /spam/i;
var s = aee.Email + " " +
        aee.SourceUrl + " " +
        aee.Owner;
if (s.match(re) == null) aee.Approve();

Example 3. A program approves only addresses with mail domains listed in C:\domains.txt file. The example will work in registered Advanced Email Extractor copy. Also, domains.txt file of the following format must be created in the root directory on C:

mail.com
aol.com
email.com
microsoft.com
altavista.net

Each string must contain only one domain, with no spaces or tabs around. With the data file shown above, the program will approve addresses test@mail.com, john@aol.com etc.

Program code:

var fs, f, s, domain;

fs = new ActiveXObject("Scripting.FileSystemObject");
f = fs.OpenTextFile("C:\\domains.txt", 1);
domain = aee.Domain;
domain.toLowerCase();

while (!f.AtEndOfStream)
{
   s = f.ReadLine();
   if (s == domain)
   {
       aee.Approve();
       break;
   }
}

f.Close();

Example 4. A program approves only actually existing addresses. Address is checked with Advanced Maillist Verify, you must have version 3.0 or newer. The example will work only in registered copy of Advanced Email Extractor. Please note that checking an address will take up to one minute, Advanced Email Extractor will freeze during the check; the program will not approve addresses which check failed (e.g., recipient's mail server was unavailable), though they might exist.

var st, amv;

amv = new ActiveXObject('AdvancedMaillistVerify.EmailVerifier');
if (amv)
{
    amv.Email = aee.Email;
    do
    {
     st = amv.Status;
    amv.Sleep = 300;
     }
    while (st != 3);

    if (amv.Result == 0)
    {
       // Email is exist
       aee.Approve();
    }
    amv = "";
}

Example 5. The program checks whether there is such address in D:\list.xls document, adds new addresses into the document and approves them. The example will work provided document D:\list.xls exists, Microsoft Excel is installed on the computer and Advanced Email Extractor copy is registered.

var f = "D:\\list.xls";

var xl = new ActiveXObject("Excel.Application");
if(xl)
{
  var wb = xl.Workbooks.Open(f);
  if(wb)
  {
    var ws = wb.Worksheets(1);
    var item = ws.Columns(1).Find(aee.Email);
    if(!item)
    {
        var cnt = ws.Rows.Count;
        var idx = 1;
        while(idx < cnt)
        {
           if(ws.Cells(idx, 1).Value == null) break;
           idx++;
         }
         ws.Cells(idx, 1) = aee.Email;
         aee.Approve();
    }
    wb.Close(true);
  }
}

Example 6. How to add only Spanish (.es) emails to list? Btw, Advanced Email Locator is a better choise in this case.

if(aee.Domain.substring(aee.Domain.length-3,aee.Domain.length)=='.es') aee.Approve();

Example 7. How to add emails from Spanish sites (.es) only to list?

if(aee.SourceUrl.match('.es/')!=null ) aee.Approve();


Registration

You can register your copy of Advanced Email Extractor via RegNow registration service using any major credit card. You can register on-line, using fax, toll-free phone, by check or wire transfer. Money orders are also accepted.

On the Internet, go to our Web page at:

http://www.mailutilities.com/purchase/

and follow the link "Purchase AEE".

If you don't have convenient Web access, the next best way to order Advanced Email Extractor is by fax (also using the credit card) or phone (toll-free). In addition, you can send us the check (American Express Traveller's cheques and Eurocheques are preferred).

Be sure to give us the correct e-mail address when filling the order form; if you'll make a mistake when typing it, we'll be unable to send you your registration code.

You can also use the wire transfer to register Advanced Email Extractor. Please contact Tweak Marketing Inc. for more details.

On payment approval, we'll send you the registration key, which will enable "Save" command. Your registration will be valid for all future versions of Advanced Email Extractor.


Unregistered copy limitations

The unregistered version of Advanced Email Extractor is almost fully functional. However, it has one limitation - "Save" command is disabled. Also, we can provide only limited support (and with low priority) to unregistered users.

When you'll register, you'll get the registration key (serial number) which will allow you to saving program results. Your registration key will work for all future versions of Advanced Email Extractor (or we may provide you with the new key, if the keys will be changed for some reason).


PRO and standard versions of AEE

Professional and standard versions of AEE work in the same way except for the four major differences:

  • Multisearch. In the professional AEE version, you can search for addresses through several search engines simultaneously. Similar links found by different search engines are being excluded so the search is much faster and more effective than search using several standard versions launched simultaneously.
  • Set of search engines. Profssional version of AEE has more search engines than standart version.
  • JScript. With the professional version of AEE, you can write JScript programs for preliminary addresses processing and for AEE integration in automatic systems.
  • Plugins. With the professional version of AEE, you can use the plugins to to solve specific tasks and extend AEE capabilities.


Copyright and license

License

The Advanced Email Extractor (AEE) is shareware. This means:

  • Tweak Marketing Inc. exclusively owns all copyrights to AEE.
  • Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use AEE, you MUST register.
  • Once registered, the user is granted a non-exclusive license to use AEE on one computer (i.e. a single CPU), for any legal purpose, at a time. The registered AEE software may not be rented or leased but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.
  • The AEE unregistered shareware version may be freely distributed, if the distribution package is not modified. No person or company may charge a fee for the distribution of AEE without written permission from the copyright holder.
  • AEE IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.
  • You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

Tweak Marketing Inc. reserves all rights not expressly granted here.

  • Installing and using AEE signifies acceptance of these terms and conditions of the license.
  • If you do not agree with the terms of this license you must remove AEE files from your storage devices and cease to use the product.


Advanced Direct Remailer

Advanced Direct Remailer (ADR) is a powerful remailer and mass mailer which send your message straight out to the recipient's mail server (without your ISP's SMTP server). ADR realizes multi-threaded direct delivery, and so works several times quicker than usual email client. The program has its own internal SMTP server, and can be easily intergated into any email client (Outlook, Outlook Express, Edudora etc), any other mail server or mass mailer (e.g. Eserv, GroupMail etc.). Support for simple mailing lists (.TXT, .LST, .CSV with personification), Windows address books (.WAB) and mailing lists which are formed by database SQL-request on fly, user's programs for message processing (plugins), merging mailing lists with databases from Excel document to powerful Microsoft SQL Server or Oracle, determine up to 90% of "dead" e-mails in address list befor sending, detailed and handy logs for each sent email, open API for programmers and samples with source code, comfortable Monitor and easy control of messages flow. The program supports Socks5 proxy protocol, so you can use it within a Local Area Network (LAN), too. ADR ensures faster, safer, and more easy-to-control mail sending, and thus it helps to save your time and money! You can download program free from our site.

Click here for enlarge image

Fast mailing

Let's consider two instances. Instance one: you're an ordinary e-mail user. Instance two: you have a mailing list and send hundreds or thousands messages a day. However, in both instances you use mail server of your ISP to send e-mails.

So, instance one. How is your e-mail going? First, your mail client sends a message to your ISP's mail server. ISP's server puts your e-mail in outgoing messages queue. When turn of your e-mail comes, it is sent to your correspondent's mail server. And only after that your correspondent can receive it. If the server is not overloaded, delivering a message takes just a few seconds. But this also might take minutes or even hours! But how often you need that your partner receive the message before he goes out to lunch, as after lunch he is leaving for a meeting? And ten minutes the message had waited in the outgoing mail queue in your ISP's server could be crucial. In such a situation, ADR will ensure instant delivery of your message, as it sends it bypassing your ISP's mail server. And saves minutes that are sometimes so precious. No queues, no delays!

Consider instance two. Have you faced a situation when sending a pretty nice thousand of messages 1 K each through your ISP's mail server took 2 or 3 hours? Yes, your modem is fast, but you can't use even 50% of its power - SMTP protocol is very slow, and that's not your ISP's fault. ADR uses direct multi-thread delivery - it sends several messages directly to your correspondents' mail servers simultaneously. ADR ensures 100% usage of your modem capabilities, or whatever percentage you want. ADR will send the same thousand messages through 33.6 K modem in as little as 5 to 15 minutes. You say, unbelievable? Well, check it out or calculate! To send 1600 K, including overhead, such a modem (33.6k is about 4 K/sec) needs about 400 seconds, or less than 7 minutes!

Safe delivery

ADR excludes your ISP's server from the message path. In many countries local legislation requires from communication service operator to grant security service access to the users correspondence. So, your messages most probably are stored in the ISP's system for some time. But if a message doesn't come through ISP's mail system, it leaves no trace in its logs, and, furthermore, it is not stored in the system - like with files downloaded through FTP or with web-pages viewed with your browser. Yes, of course, your ISP can detect your mail traffic and intercept it. But ADR doesn't pretend to be a guarantor of your privacy, as even encrypting systems sometimes fail to ensure this.

Controlled delivery

Now you have a full-function mail server at your disposal! This enables you to control your mail traffic. So, you can schedule sending large batches of mail using mailing list for lunchtime and dinnertime only. You can view contents of all outgoing messages and create an archive of your company's outgoing messages. ADR logs will always advise you who, when, and to whom have sent messages. Furthermore, your employees will be able to send mail much faster - as the mail server is within your local network now!

Organizations using mass mail sending often face a "dead addresses" problem - sometimes, up to 20%..30% of letters are returned with the message that the e-mail address doesn't exist any more. This means that a half of traffic was wasted. ADR, using direct mailing, detects up to 90% of the "dead" addresses at the very beginning of sending procedure, thus solving the problem.

SQL and plugins

Moreover, ADR can send messages using a mailing list, so you don't need to buy a special software. ADR support simple .TXT, .LST and .CSV mailing lists and mailing lists which are formed by database SQL-request on fly. The system of supporting user mail processing software - so called plugins - allows you to easily configure the program to fulfil any tasks, whatever complicated they are - from the simplest personified sending or sending new serial numbers and passwords to your users, to creating special applications to link your mail system with your company's database. ADR is distributed with some plugins, so FromSQL plugin intended for merger of database and mail list. FromSQL works with database through ODBC, so it can interact with both Microsoft Excel file and big database under Microsoft SQL Server or Oracle control. Some plugins are distributed with C or Delphi source code.

Easy-to-configure.

You want to use ADR for fast mail sending, but don't want to stop using the system of personified delivery you've got used to? That's as easy as ABC! You just have to change the address of outgoing mail server (SMTP) in your personified delivery software from your ISP's server to local ADR server - localhost. That's all!

You can download program free from our site.


Advanced Maillist Verify

Advanced Mail List Verify (AMV, formerly Check Email Pro) is a program that verifies the validity of e-mail addresses in databases, address books and mailing lists. That's not only a standalone program, but can be also easily integrated into existing systems using open COM/ActiveX and CGI/ISAPI interfaces. The package includes detailed documentation and examples (for most major programming languages) for integrating Advanced Maillist Verify into Internet/Intranet servers based on Active Server Pages technology from Microsoft and ColdFusion from Allaire.

Click here for enlarge image

The program works on the same algorithm as ISP mail systems do. Mail servers addresses for specified address are extracted from DNS. The program tries to connect with found SMTP-servers and simulates the sending of message. It does not come to the message sending - AMV disconnect as soon as mail server informs does this address exist or not. AMV can find about 90% of dead addresses - some mail systems receive all messages and only then see their addresses and if the address is dead send the message back with remark about it. Works with Socks5 proxy (to use in LAN).

The program supports all popular file formats - from simple mailing lists to The Bat!, Eudora and Windows address books, and not just shows non-existing addresses, but also able to remove them from source lists and create "exclusion" lists. ODBC SQL support is there, allowing to work with DBMS like MS SQL, Oracle, MySQL, MS Access and others, and even with Microsoft Excel.

Advanced Maillist Verify can save time and money for businesses who send newsletters to their clients, nonprofits who send bulletins to their members, or any person or business that needs to maintain a clean e-mail contact list. You can download program free from our site.

Also, take a look at High Speed Verifier (HSV) if you wish to verify mailing lists with millions of email addresses. HSV is offered as a solution for quick removal of garbage from huge lists. It perform the syntax, zone and DNS check of email address, and for purely technical reasons, its operating rate is 10..15 times greater than that of AMV with relatively small lists, and with lists containing millions of addresses the difference in operating rate might be up to thousands of times.


High Speed Verifier

High Speed Verifier (HSV) is a high-speed software designed to check e-mail address for existence. HSV is capable of checking thousands of addresses per second. It can easily deal with mailing lists containing tens millions of addresses; moreover, it is with this list size that the program's highest performance can be achieved.

Click to view full-size screenshot
view full-size screenshot

HSV detects about 20-30% of invalid addresses in a mailing list, though theoretically it is possible to detect up to 60-70% using a software product. This figure seems relatively small, but actually it might make 10% of a list. Besides, HSV provides for optimal checking mode in terms of time and data traffic. More thorough checking (with which the rest 40% of invalid addresses could be detected) takes 10 times longer and requires 5 times greater traffic for each address, hence it's not that advisable with huge lists.

We are pleased to offer you two software products designed to check e-mail addresses for existence — Advanced Maillist Verify (AMV), which does the two-phase checking (DNS and SMTP) and detect all possible dead emails, and High Speed Verifier (HSV), which only performs the first phase (DNS).

AMV is helpful when you need to thoroughly check relatively small mailing lists (containing no more than 50..100 thousand addresses). Advanced Maillist Verify is also capable of checking addresses in databases, address books of popular applications, it has COM/ActiveX interfaces for integration into various software systems and CGI/ISAPI modules for simpler integration into wed-servers. However, technical principles underlying AMV interface solutions don't allow using it for longer lists.

High Speed Verifier is offered as a solution for quick removal of garbage from lists with millions of addresses. For purely technical reasons, its operating rate is 10..15 times greater than that of AMV with relatively small lists, and with lists containing millions of addresses the difference in operating rate might be up to thousands of times. Growth of the HSV operating rate with longer lists is ensured by the fact that HSV stores the results of all queries to DNS servers in RAM cache, so, with longer lists the rate of cache hits is greater.

HSV is the first professional software designed to check huge mailing lists, it is created by professionals for professionals. We hope with HSV your business will be more effective and successful, and you will enjoy using our product.

You can download program free from our site.


Advanced Email Parser

E-mail plays a great role in business of today, being an effective mean for exchanging information. Information received via e-mail is often used in other applications. To transfer information from e-mail messages to other applications, one has to parse and process it first. Manual processing of messages requires much time and effort, and errors are very probable with it. AEP makes messages processing more effective, as it allows to parse data, process it and transfer to other applications automatically.

Click to view full-size screenshot
view full-size screenshot

With AEP, you won't have to process incoming mail manually any more, whatever number of mailboxes you have. Just imagine that you don't need to collect information from the reports sent to you and to import it to another application or database any more -- now, AEP is at your disposal to do the job for you.

AEP can be used to do the following jobs automatically: processing of order forms received via e-mail, sending replies to clients, filling order databases, sorting and redirecting e-mail message flows, compiling mailing lists, maintaining statistics of any kind, creating automatic answering services, mail robots, saving back-up copies of important messages.

AEP can be integrated with varied software products supporting ActiveX technology. This allows data processing in external modules of different developers. For such integration, scripting languages based on Microsoft Active Scripting technology - JScript, VBScript or PerlScript - are used. AEP is an effective and reliable message processing tool, with high traffic capacity and little time required for each message processing.

How does AEP work? AEP downloads messages from mail servers and processes them using a list of rules set up by user. Rules consist of filters and processing components. When downloading a message, AEP checks whether it is to be processed or not using filters. If the message is to be processed, AEP adds it to processing queue. Upon completion working session with a mail server, AEP processes all the messages in the queue. Processing components are used to parse, modify, and store data from messages. You can download program free from our site.


Advanced Email Locator
Click to view full-size screenshot
view full-size screenshot

We are proud to present to you our new product — Advanced Email Locator! With AEL you can obtain unique marketing information. If you want to congratulate your subscribers on them national holidays or to classify your mailing list by country — AEL is your only choice. More than half of COM/NET/ORG domain owners live outside of USA and for instance nearly half of German and France subscribers have COM/NET/ORG e-mails. AEL can detect countries of your subscribers regardless of email domain. You can recieve an additional information including postal address with AEL also. AEL determines if your subscribers have an e-mail address on the one of free e-mail servers, program have a database with 20000+ entries, and the database still grows! You can save the results to CSV, text or MS Excel files.

AEL works under Windows '95, Windows '98, WinMe, Windows NT 4.0 and Windows 2000 with Microsoft Internet Explorer 4.0 or newer installed. You can download program free from our site.


Advanced Maillist Manager

Advanced Maillist Manager (AMM) is designed to process incoming messages that contain subscribe/unsubscribe/etc. requests. A set of rules allows flexible adjustment of criteria for detection request messages. Using the template editor, you can change appearance of auto replies sent to users.

Click to view full-size screenshot
view full-size screenshot

AMM supports operation with several maillists, and you can set specific rules and templates for each of them. The possibility of receiving messages from several accounts simultaneously ensures that delivery time is considerably reduced. The logging system, besides its main functions, helps to detect "dead" addresses.

If you already have subscribers' database, you can easily convert it into the AMM format using the built-in import function.

Advanced Maillist Manager doesn't send messages to all users in a subscribers list. Use the export function to save all addresses from one or more lists in a format convenient for your bulk mailer. You can download program free from our site.


Mailing List Wizard

Mailing List Wizard (MLW) is designed to help you with processing and converting your mailing lists. It is able of excluding duplicated addresses, correcting misspelled addresses using unique algorithms, filtering lists by varied criteria, merging lists, and making exclusions from address lists using an additional list. MLW can supplement mailing lists with address owner names using information from other lists, delete address owner names from mailing lists, and also many other things.

Click to view full-size screenshot
view full-size screenshot

MLW is a single software product that combines functions of several programs for mailing list processing. We are strongly recommend it to all AEE users. You can download program free from our site.


Advanced Mailbox Processor

Advanced Mailbox Processor (AMP) - is the program intended for extracting owner's names and e-mail addresses from the local files, and making e-mails list. AMP is very effective and convenient decision for e-commerce companies. This program will help you to make and correct the lists of your clients on basis of your correspondence data. AMP is a universal tool which allows to process the files in various formats and mailboxes of the majority of mailers, including the "Outlook Express 5", "MS Outlook", "Netscape Messenger", "The Bat!", "Qualcomm Eudora", "Incredi Mail", etc.

Click to view full-size screenshot
view full-size screenshot

AMP is a very effective and reliable tool. Using AMP considerably reduces time for the processing of the post bases of in comparison with manual or semi-automatic processing messages and completely excludes mistakes.

AMP precisely allows to extract addresses according to the determined messages. For this purpose the set of conditions is used. In the conditions you may use regular expressions.

AMP has the friendly graphic interface. Questions arising at the working with the program can be resolved by using contextual and helps information.

How does AMP work? The program scans messages which are saved in the specified folders, subfolders or files of mailboxes of the specified mailer or a format of files. The program takes post addresses and names from these messages , and keeps them in the list of e-mails. The program will processed only messages, which satisfy to the set of conditions given by the user.

The list of e-mails and names which was received as a result of scanning, can be saved in a text file, file in the CSV format or can be exported in the MS Excel document. It is possible to remove single addresses, addresses from the given domain or a site if necessary.

You can download program free from our site.


Autoroute SMTP

Autoroute SMTP (ARS) is a small freeware program designed for automatic switching between SMTP servers depending on what network you are currently working in. E.g. you have two Internet service providers - FIRST and SECOND. Normally, IP address authorisation is used for SMTP servers, therefore when you are connected to the FIRST ISP you can send mail to any e-mail address from any e-mail address through his mail server (e.g., SMTP.FIRST.COM). In the same way, having established connection with the SECOND ISP you can freely use its server SMTP.SECOND.COM. But not vice versa.

Click to view full-size screenshot
view full-size screenshot

Normally, in that situation user has to get a e-mail address from a free mail server and use its SMTP server to deliver mail, though server of ones ISP ensures much faster and more convenient delivery. The problem is that one has two ISP's. Autoroute SMTP offers solution for that problem. The only thing you have to do is to enter one mail server with address localhost (or 127.0.0.1) in your mail client settings. Then, the mail client will establish connection with Autoroute SMTP, and Autoroute SMTP will automatically switch it to the right server.

To choose the right server, Autoroute SMTP compares your IP address to IP addresses of SMTP servers you have entered and chooses one that is located in your sub-net. If no server was found, Autoroute SMTP can use server your specified in the settings. You can also disable automatic server detection, or even choose a mail server in automatic mode yourself from the list you have created by clicking the "Next >>" button.

With Autoroute SMTP you always can easily show the way to your letters. You can download program free from our site.


Mailbox Verifier

Mailbox Verifier (MV) is a small free software that will notify you about new messages arrived to your mailbox. The number of mailboxes MV can check is unlimited; it works with the POP3 protocol and can't deal with web-interface mailboxes and IMAP-servers.

Besides, MV is very flexible and easy to configure. MV is familiar with many popular mail clients and never conflicts with them. You can check for new messages either manually or automatically with any time interval chosen. New message alert can be combined from blinking program icon in tray, sound alert and/or pop-up window as you like. MV is tactful enough to disable window pop-up while screen saver is running, and can hold back from attempting to check mail when there is no Internet connection.

After you launch MV, its icon appears in the screen corner near the system clock. Right-clicking the icon will open the menu through which you can access the program settings window, launch your mail client, or check for new mail.

To start working with the program, click the icon and choose the "Settings..." menu item. This will open the program settings window. On the Accounts tab in the Settings window, account configuration wizard is your service. The wizard will help you to get started with MV. You can download program free from our site.


Web Server

On the web-site you can find the complete list of our software products and the latest news, download trial versions of the products, and register your software.

  • Advanced Email Extractor home
  • Advanced Direct Remailer home
  • Advanced Maillist Verify home
  • High Speed Verifier home
  • Advanced Email Parser home
  • Advanced Email Locator home
  • Advanced Maillist Manager home
  • Mailing List Wizard home
  • Advanced Mailbox Processor home
  • Autoroute SMTP home
  • Mailbox Verifier home

  • What's new on our server

Most of our products are being updated once a month on the average. Don't forget to visit our site, we are always glad to see you! Should you have any questions or suggestions, please, contact the technical support service.


Technical support

Our technical support service is always glad to help you and to answer any your questions. Please, keep to the following rules when contacting the technical support service:

  • If your question concerns incorrect operation of the software, do not forget to provide the version number of your operating system, service/upgrade pack, and Microsoft Internet Explorer installed on your computer.
  • Please, include any additional details you see appropriate so that the developers could reconstruct your exact situation in the lab.
  • If you are a registered the user, specify your serial number or number of the order. It will help us to process your inquiry faster.
  • See the list of latest upgrades in the Internet, the problem might be already corrected in the newer version.

You can contact the technical support service via email - support@mailutilities.com. We also recommend visiting our web-site where you can find additional information on the about our products.


.topic 0x3F1
You can use patterns when setting the extensions. ? means any one character, and * - any number of characters. So, the pattern m*g covers the following extensions: mg, mpeg and mpg; pattern s?m - s3m and stm extensions. The extension may consist of any number of characters. Please note that URL extension check is possible only before the URL is added into the list of the jobs. I.e. adding a new extension during scanning will not cancel currently existing jobs with this extension. The extension of the initial document is not checked.
.topic 0x3FB
You can use patterns when setting the extensions. ? means any one character, and * - any number of characters. So, the pattern m*g covers the following extensions: mg, mpeg and mpg; pattern s?m - s3m and stm extensions. The extension may consist of any number of characters. Please note that URL extension check is possible only before the URL is added into the list of the jobs. I.e. adding a new extension during scanning will not cancel currently existing jobs with this extension. The extension of the initial document is not checked.
.topic 0x3F2
You may use * and ? characters in patterns. Just note, that to exclude the entire site http://www.fbi.com/ from scanning, you should set the pattern *www.fbi.com* or http://www.fbi.com/*. If the pattern http://www.fbi.com/ is set, only the root page of the site will be ignored. The pattern *fbi* will cut off all paths containing the fbi substring. For example, http://xoom.com/~fbird/. Note that URL check for exclusions is possible only before the URL is added to the list of jobs. I.e. adding a new pattern during scanning will not cancel current jobs matching that pattern. The initial document is not checked for exclusions.
.topic 0x3FC
You may use * and ? characters in patterns. Just note, that to exclude the entire site http://www.fbi.com/ from scanning, you should set the pattern *www.fbi.com* or http://www.fbi.com/*. If the pattern http://www.fbi.com/ is set, only the root page of the site will be ignored. The pattern *fbi* will cut off all paths containing the fbi substring. For example, http://xoom.com/~fbird/. Note that URL check for exclusions is possible only before the URL is added to the list of jobs. I.e. adding a new pattern during scanning will not cancel current jobs matching that pattern. The initial document is not checked for exclusions.
.topic 0x451
Adverse effect for this setting.


.topic 0x3FE
Scan complete beep is produced through a sound card, not through PC Speaker.
.topic 0x3FF
Save not only email addresses found, but also the addresses of pages where they were found, in an output file.
.topic 0x400
The new job will be launched automatically. Otherwise it should be started through the toolbar.
.topic 0x418
The temporary file is created in the directory with AEE and has name like $aeetmp$.XXX.aee, where XXX is decimal number. File is deleted when you close program, create new job or save emails list. This feature is enabled in registered version only.
.topic 0x43C
Turn on auto job list scrolling to jobs which are processing now.
.topic 0x441
Disconnect all dial-up connections when scanning complete.
.topic 0x442
AEE will automatically stop scanning when no dial-up connection established, and'll automatically start scanning when connection'll established again.
.topic 0x443
When this option is off, AEE add to list of addresses unique emails only.
.topic 0x44E
Tick this box to add AEE to toolbar and menu of Internet Explorer. Note, that you must restart Internet Explorer to take effect.


.topic 0x439
By this line browser informs web-server about its name and version. Usually the web-servers don't use this information for optimize the web-page, returned by requst, for given browser version. AEE can mask under the popular browsers, using the installed MSIE version by default.
.topic 0x435
By this line browser informs web-server about its name and version. Usually the web-servers don't use this information for optimize the web-page, returned by requst, for given browser version. AEE can mask under the popular browsers, using the installed MSIE version by default.
.topic 0x436
By this line browser informs web-server about its name and version. Usually the web-servers don't use this information for optimize the web-page, returned by requst, for given browser version. AEE can mask under the popular browsers, using the installed MSIE version by default.
.topic 0x43A
By this line the browser inform web-server about the web-page, from which was realized the pass to downloaded document. Usually site owners analyze this information to reveal directions of visitor threads. By also you can specify the fixed faked link (e.g., having the aim to attract visitors on your web-page) or turn referer line off.
.topic 0x437
By this line the browser inform web-server about the web-page, from which was realized the pass to downloaded document. Usually site owners analyze this information to reveal directions of visitor threads. By also you can specify the fixed faked link (e.g., having the aim to attract visitors on your web-page) or turn referer line off.
.topic 0x438
By this line the browser inform web-server about the web-page, from which was realized the pass to downloaded document. Usually site owners analyze this information to reveal directions of visitor threads. By also you can specify the fixed faked link (e.g., having the aim to attract visitors on your web-page) or turn referer line off.


.topic 0x446
Turn on JScript program which allow to filter and process found emails. Press "Help" to know more and look at code samples.
.topic 0x447
JScript program which allow to filter and process found emails. Press "Help" to know more and look at code samples.


.topic 0x3E9
To create a job, it is necessary to specify the initial document. It can be either an URL of some web-page, or a name of a local disk file. You can choose disk file by clicking the "File..." button. In an URL, the protocol prefix (http://) must be included, otherwise, the "Unknown protocol" error may occur during the job processing. It is recommended to type slash at the end of directory paths (for example, http://www.softpile.com/dir/ instead of http://www.softpile.com/dir), otherwise, with some types of range limitations, the program may go one level higher than expected. Please note that the initial document is not checked against exclusion patterns set in the program options.
.topic 0x407
To create a job, it is necessary to specify the initial document. It can be either an URL of some web-page, or a name of a local disk file. You can choose disk file by clicking the "File..." button. In an URL, the protocol prefix (http://) must be included, otherwise, the "Unknown protocol" error may occur during the job processing. It is recommended to type slash at the end of directory paths (for example, http://www.softpile.com/dir/ instead of http://www.softpile.com/dir), otherwise, with some types of range limitations, the program may go one level higher than expected. Please note that the initial document is not checked against exclusion patterns set in the program options.
.topic 0x3EA
To create a job, it is necessary to specify the initial document. It can be either an URL of some web-page, or a name of a local disk file. You can choose disk file by clicking the "File..." button. In an URL, the protocol prefix (http://) must be included, otherwise, the "Unknown protocol" error may occur during the job processing. It is recommended to type slash at the end of directory paths (for example, http://www.softpile.com/dir/ instead of http://www.softpile.com/dir), otherwise, with some types of range limitations, the program may go one level higher than expected. Please note that the initial document is not checked against exclusion patterns set in the program options.
.topic 0x3FD
Scan range limitations.
.topic 0x3EB
Scan range is not limited. Please note that the exclusions set in the program options are effective with this mode, too. So, you can add sites of banner systems, visitor counters, etc. into the exclusion list instead of limiting scan range.
.topic 0x3EC
Unlike the previous limitation, here, the number of documents to be downloaded is finite (though it can be very great), and this mode can be used in the command prompt together with the function of results auto save. The depth 0 means that the initial document will be processed only. The depth 1 means, that the initial document and all the documents it is linked to will be processed. The maximum depth value is not limited.
.topic 0x3F3
Unlike the previous limitation, here, the number of documents to be downloaded is finite (though it can be very great), and this mode can be used in the command prompt together with the function of results auto save. The depth 0 means that the initial document will be processed only. The depth 1 means, that the initial document and all the documents it is linked to will be processed. The maximum depth value is not limited.
.topic 0x3F5
Unlike the previous limitation, here, the number of documents to be downloaded is finite (though it can be very great), and this mode can be used in the command prompt together with the function of results auto save. The depth 0 means that the initial document will be processed only. The depth 1 means, that the initial document and all the documents it is linked to will be processed. The maximum depth value is not limited.
.topic 0x3ED
If the initial document is a local disk file, this limitation means "scan files on all local disks". The files should be linked to each other, of course.
.topic 0x3EE
If the initial document is a local disk file, this limitation means "scan files on disk with initial document". The files should be linked to each other, of course.
.topic 0x3EF
The program scans the entire site chosen and bypasses all the sites, links to which are contained in the initial document. If you want the program to bypass the sites listed in the initial document only and not bypass the site that contains the initial document, you can add the initial document web address to the scan exclusions in AEE options
.topic 0x456
Authentication settings are optional. Note, that login and password will saved into the project file.
.topic 0x457
User name and password to access the resource. This information will be entered to ALL servers which are require authentication (if otherwise is not specified by following settings).
.topic 0x459
User name and password to access the resource. This information will be entered to ALL servers which are require authentication (if otherwise is not specified by following settings).
.topic 0x458
User name and password to access the resource. This information will be entered to ALL servers which are require authentication (if otherwise is not specified by following settings).
.topic 0x45B
User name and password to access the resource. This information will be entered to ALL servers which are require authentication (if otherwise is not specified by following settings).
.topic 0x45A
If this option is ticked and initial URL is http://secure.my.com/, then login/password will entered for all protected  pages of secure.my.com, but will not entered for protected pages of http://www.my.com/, http://secure-1.my.com/ and other servers.
.topic 0x45C
If this option is ticked and initial URL is https://secure.my.com/, then login/password will entered for all protected  pages of https://secure.my.com, but will not entered for protected pages of http://secure.my.com/ and other servers.
.topic 0x45D
Authentication settings are optional. Note, that login and password will saved into the project file.


.topic 0x462
To create a task, choose one of the installed plugins from this list.
.topic 0x461
The detailed plugin description.


.topic 0x3F8
Number of simultaneously loaded documents. The default value of this parameter is 10. For Internet connection on 33.6k speed, it is recommended to use 10..15 threads.
.topic 0x401
Number of simultaneously loaded documents. The default value of this parameter is 10. For Internet connection on 33.6k speed, it is recommended to use 10..15 threads.
.topic 0x3F9
The default value of this parameter is 3. After the chosen number of attempts are made with no success, the job will be marked as failed. The attempts are carried out consequently, one just after another.
.topic 0x3F0
The default value of this parameter is 3. After the chosen number of attempts are made with no success, the job will be marked as failed. The attempts are carried out consequently, one just after another.
.topic 0x43E
Allow AEE to avoid a standstill when it gets to a large server with the tens of thousands of documents like Amazon.com. Set zero to don't use this limitation.
.topic 0x43D
Allow AEE to avoid a standstill when it gets to a large server with the tens of thousands of documents like Amazon.com. Set zero to don't use this limitation.
.topic 0x444
Some "antispam" pages contain hudreds of fake emails. When this option is on, AEE will not take emails from pages with more emails than specified. Set zero to don't use this limitation.
.topic 0x445
Some "antispam" pages contain hudreds of fake emails. When this option is on, AEE will not take emails from pages with more emails than specified. Set zero to don't use this limitation.
.topic 0x417
Sometimes you can meet the links like <a href=a@b.c>, where webmaster has forgot to add mailto:. Turn on this option to consider such links as emails.
.topic 0x433
The text between tags <A HREF=...> and </A> is considered as a name of email owner. Very often it is really so. You can turn on/off this option on-fly. The program stores this information in any case and option affects on data representation in program window and output file only.
.topic 0x43B
When this option is turned off, AEE collects emails written as hyperlinks only (<A HREF=mailto:...>) and doesn't extract emails from text files.
.topic 0x452
"Don't add more links" switch on toolbar will automatically turned on when list grow up to specified size. You'll able turn the switch off, or you can set 0 to disable this feature.
.topic 0x453
"Don't add more links" switch on toolbar will automatically turned on when list grow up to specified size. You'll able turn the switch off, or you can set 0 to disable this feature.
.topic 0x454
Internal parser is faster and more reliable than Microsoft parser. But Microsoft parser process documents more accurately.
.topic 0x455
Internal parser is faster and more reliable than Microsoft parser. But Microsoft parser process documents more accurately.


.topic 0x42E
You can use advanced syntax, which is specific for selected search engine. See web server of selected engine to learn more about advanced syntax.
.topic 0x44F
You can use advanced syntax, which is specific for selected search engine. See web server of selected engine to learn more about advanced syntax.
.topic 0x42F
You can use advanced syntax, which is specific for selected search engine. See web server of selected engine to learn more about advanced syntax.
.topic 0x430
You can use advanced syntax, which is specific for selected search engine. See web server of selected engine to learn more about advanced syntax.
.topic 0x406
The search engines can give millions of links for some keywords. Use this field to limit the search by the most suitable links.
.topic 0x40B
The search engines can give millions of links for some keywords. Use this field to limit the search by the most suitable links.
.topic 0x43F
You can use popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others. The search is executed through the scripts on web server of our company. This saves you from the necessity to update software every time when the web interface of the one from search engines will be changed.
.topic 0x40C
You can use popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others. The search is executed through the scripts on web server of our company. This saves you from the necessity to update software every time when the web interface of the one from search engines will be changed.
.topic 0x428
You can use popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others. The search is executed through the scripts on web server of our company. This saves you from the necessity to update software every time when the web interface of the one from search engines will be changed.
.topic 0x410
You can use popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others. The search is executed through the scripts on web server of our company. This saves you from the necessity to update software every time when the web interface of the one from search engines will be changed.
.topic 0x429
You can use popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others. The search is executed through the scripts on web server of our company. This saves you from the necessity to update software every time when the web interface of the one from search engines will be changed.
.topic 0x40F
You can use popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others. The search is executed through the scripts on web server of our company. This saves you from the necessity to update software every time when the web interface of the one from search engines will be changed.
.topic 0x42A
You can use popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others. The search is executed through the scripts on web server of our company. This saves you from the necessity to update software every time when the web interface of the one from search engines will be changed.
.topic 0x40E
You can use popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others. The search is executed through the scripts on web server of our company. This saves you from the necessity to update software every time when the web interface of the one from search engines will be changed.
.topic 0x42B
You can use popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others. The search is executed through the scripts on web server of our company. This saves you from the necessity to update software every time when the web interface of the one from search engines will be changed.
.topic 0x40D
You can use popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others. The search is executed through the scripts on web server of our company. This saves you from the necessity to update software every time when the web interface of the one from search engines will be changed.
.topic 0x411
Scan range limitations.
.topic 0x412
AEE will follow all links, which will meet in found documents. Note that the program will not scan all links from search engine web page with search results, it will scan all links in found documents only.
.topic 0x413
If value is equal to 0, then the program will scan all found documents, but will not follow the found hyperlinks in them. If value is equal 1, then program will follow all hyperlinks, but will not follow links from "second generation" documents, and so on. Maximal value of value is not limited.
.topic 0x41A
If value is equal to 0, then the program will scan all found documents, but will not follow the found hyperlinks in them. If value is equal 1, then program will follow all hyperlinks, but will not follow links from "second generation" documents, and so on. Maximal value of value is not limited.
.topic 0x415
If value is equal to 0, then the program will scan all found documents, but will not follow the found hyperlinks in them. If value is equal 1, then program will follow all hyperlinks, but will not follow links from "second generation" documents, and so on. Maximal value of value is not limited.
.topic 0x414
The program will try to scan all sites, which pages links was return by search engine. Of course, the found pages must contain links to other site pages.


.topic 0x42E
You can use advanced syntax, which is specific for selected search engine. See web server of selected engine to learn more about advanced syntax.
.topic 0x44F
You can use advanced syntax, which is specific for selected search engine. See web server of selected engine to learn more about advanced syntax.
.topic 0x42F
You can use advanced syntax, which is specific for selected search engine. See web server of selected engine to learn more about advanced syntax.
.topic 0x430
You can use advanced syntax, which is specific for selected search engine. See web server of selected engine to learn more about advanced syntax.
.topic 0x406
The search engines can give millions of links for some keywords. Use this field to limit the search by the most suitable links.
.topic 0x40B
The search engines can give millions of links for some keywords. Use this field to limit the search by the most suitable links.
.topic 0x43F
You can use popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others. The search is executed through the scripts on web server of our company. This saves you from the necessity to update software every time when the web interface of the one from search engines will be changed.
.topic 0x448
You can use popular search engines - AltaVista, Excite, Yahoo, InfoSeek and others. The search is executed through the scripts on web server of our company. This saves you from the necessity to update software every time when the web interface of the one from search engines will be changed.
.topic 0x449
Include all search engines to search.
.topic 0x44A
Exclude all search engines from search.
.topic 0x44B
Number of selected search engines.
.topic 0x411
Scan range limitations.
.topic 0x412
AEE will follow all links, which will meet in found documents. Note that the program will not scan all links from search engine web page with search results, it will scan all links in found documents only.
.topic 0x413
If value is equal to 0, then the program will scan all found documents, but will not follow the found hyperlinks in them. If value is equal 1, then program will follow all hyperlinks, but will not follow links from "second generation" documents, and so on. Maximal value of value is not limited.
.topic 0x41A
If value is equal to 0, then the program will scan all found documents, but will not follow the found hyperlinks in them. If value is equal 1, then program will follow all hyperlinks, but will not follow links from "second generation" documents, and so on. Maximal value of value is not limited.
.topic 0x415
If value is equal to 0, then the program will scan all found documents, but will not follow the found hyperlinks in them. If value is equal 1, then program will follow all hyperlinks, but will not follow links from "second generation" documents, and so on. Maximal value of value is not limited.
.topic 0x414
The program will try to scan all sites, which pages links was return by search engine. Of course, the found pages must contain links to other site pages.